## MinerMod
- Adds the Miner from RoR1 as a playable character

## Multiplayer
Note that the Miner does not currently have full multiplayer support. If you are hosting the server, the Miner is playable, but you will not display fx or animations to other players. If you are not the host, do not play the Miner. The character will not work properly and you will die very quickly. I am planning to fix this very soon.

## Description
The Miner is a returning character from Risk of Rain 1. He is a high mobility melee character with multiple dashes and a powerful primary. This verison of the Miner comes with a new passive which grants the player a massive buff when on long kill combos. If you feel like you're not doing enough damage, try reading the ability tips below.

## Ability Tips

`Crush`
Crush benefits the most from the Miner's passive. Once you get a good streak going (I'd say about 15 stacks) this will be your best source of damage.

`Drill Charge`
This is the Miner's best movement option and often his best damage option. The Miner is invincible both during and for a few seconds after the dash. Note that charging the skill only affects the amount of damage done. If you are using it for the movement/invinciblity, just tap the button. To get the most damage out of this move, try to aim into the enemy or into the ground nearby. Each burst of damage originates from you, so the only way to deal the maximum possible damage is to stay next to an enemy for the entire duration of the move.

`Backblast`
This move has an enormous effective range and has the biggest single instance of damage out of any of the Miner's move. This makes it ideal for clearing groups of wisps and finishing enemies. Note that holding the button will cause you to move further.

`To The Stars`
The Miner's special has the highest possible damage output of any of his moves. While not great at dealing damage to small enemies due to the wide spread of the shot, this move excels at taking down big enemies like bosses or champions which the Miner might otherwise struggle with. To understand the strength of the move early on, try activating the teleporter on stage 1 right away (no items) and see how quickly you can take down the boss with just this move alone.

## Big Thanks
Huge thanks to fuu for donating his fantastic Miner model, to PapaZach for making the skill icons, and to all the helpful people on the Modding Discord. Without them this mod would not have been possible.

## Contact Me
Feel free to DM me on on discord @Gnome4777 or ping me in the Modding Server with any feedback, suggestions, or bug finds.

## Known Issues
- Milky Chrysalis and Crowdfunder are buggy due to lack of item display
- Multiplayer will only work if the only person playing Miner is the Host
- Character overlays like being frozen or being invisible are not currently implemented

##To Do
- Full Multiplayer support
- Fix known issues
- Add skill alternates

## Changelog
`1.1.0`
Unfortunately, Full Multiplayer support has not been added yet. Instead this update consists of number of small improvements as well as balancing changes.

-Instead of disappearing all at once, Gold Rush buffs now decay with a half life of 1 second.

-Crush received a damage buff
-Changed how Crush's range works

-Realized that the description for Drill Charge was wildly innacurate (it was at max doing 8x140% when it claimed to be doing 20x140%), this was fixed
-Increased the maximum number of Drill Charge hits from 8 to 12
-Reduced how much attack speed affects Drill Charge

-Reduced the aim cone for To The Stars by 20%
-Added three additional shots to To The Stars which all go straight down from the player
-Changed the hit fx for To The Stars so it's easier to see where the shots are landing

-Increased the volume of Player sfx
-Added strafing animations (Thank you Timesweeper)
-Player animations are now halted when frozen
-Added a super secret special suprise ;))

`1.0.0`
- Initial release